classification
Title: IDLE uses non-existent xrange() function (Py30a2)
Type: behavior Stage:
Components: IDLE Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, mark
Priority: normal Keywords:

Created on 2007-12-11 08:09 by mark, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (3)
msg58417 - (view) Author: Mark Summerfield (mark) * Date: 2007-12-11 08:09
When I start IDLE I get this:

Python 3.0a2 (r30a2:59382, Dec 10 2007, 14:21:37) 
[GCC 4.1.2 20070626 (Red Hat 4.1.2-13)] on linux2
Type "copyright", "credits" or "license()" for more information.

    ****************************************************************
    Personal firewall software may warn about the connection IDLE
    makes to its subprocess using this computer's internal loopback
    interface.  This connection is not visible on any external
    interface and no data is sent to or received from the Internet.
    ****************************************************************
    
IDLE 3.0a1      
>>>

That's fine (if slightly confusing regarding the version numbers), but
if I click Options->Configure I get this error output:

: Exception in Tkinter callback
Traceback (most recent call last):
  File "/home/mark/opt/python30a2/lib/python3.0/lib-tk/Tkinter.py", line
1402, 
in __call__
    return self.func(*args)
  File
"/home/mark/opt/python30a2/lib/python3.0/idlelib/EditorWindow.py", line 
385, in config_dialog
    configDialog.ConfigDialog(self.top,'Settings')
  File
"/home/mark/opt/python30a2/lib/python3.0/idlelib/configDialog.py", line 
50, in __init__
    self.CreateWidgets()
  File
"/home/mark/opt/python30a2/lib/python3.0/idlelib/configDialog.py", line 
69, in CreateWidgets
    page_names=['Fonts/Tabs','Highlighting','Keys','General'])
  File "/home/mark/opt/python30a2/lib/python3.0/idlelib/tabbedpages.py",
line 
398, in __init__
    self.add_page(name)
  File "/home/mark/opt/python30a2/lib/python3.0/idlelib/tabbedpages.py",
line 
413, in add_page
    self._tab_set.add_tab(page_name)
  File "/home/mark/opt/python30a2/lib/python3.0/idlelib/tabbedpages.py",
line 
76, in add_tab
    self._arrange_tabs()
  File "/home/mark/opt/python30a2/lib/python3.0/idlelib/tabbedpages.py",
line 
163, in _arrange_tabs
    for row_index in xrange(n_rows):
NameError: global name 'xrange' is not defined

I tried changing xrange to range, but that doesn't work:

: Exception in Tkinter callback
Traceback (most recent call last):
  File "/home/mark/opt/python30a2/lib/python3.0/lib-tk/Tkinter.py", line
1402, 
in __call__
    return self.func(*args)
  File
"/home/mark/opt/python30a2/lib/python3.0/idlelib/EditorWindow.py", line 
385, in config_dialog
    configDialog.ConfigDialog(self.top,'Settings')
  File
"/home/mark/opt/python30a2/lib/python3.0/idlelib/configDialog.py", line 
50, in __init__
    self.CreateWidgets()
  File
"/home/mark/opt/python30a2/lib/python3.0/idlelib/configDialog.py", line 
69, in CreateWidgets
    page_names=['Fonts/Tabs','Highlighting','Keys','General'])
  File "/home/mark/opt/python30a2/lib/python3.0/idlelib/tabbedpages.py",
line 
398, in __init__
    self.add_page(name)
  File "/home/mark/opt/python30a2/lib/python3.0/idlelib/tabbedpages.py",
line 
413, in add_page
    self._tab_set.add_tab(page_name)
  File "/home/mark/opt/python30a2/lib/python3.0/idlelib/tabbedpages.py",
line 
76, in add_tab
    self._arrange_tabs()
  File "/home/mark/opt/python30a2/lib/python3.0/idlelib/tabbedpages.py",
line 
148, in _arrange_tabs
    for tab_name in self._tabs.keys():
RuntimeError: dictionary changed size during iteration
msg58418 - (view) Author: Mark Summerfield (mark) * Date: 2007-12-11 08:13
Amaury Forgeot d'Arc says he's fixed this in change 59456 (but I don't
know how---or if---I can change its status).
msg58420 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-11 08:59
Fixed in r59456
History
Date User Action Args
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 3.0
2007-12-11 08:59:03christian.heimessetstatus: open -> closed
keywords: + py3k
resolution: fixed
messages: + msg58420
nosy: + christian.heimes
2007-12-11 08:13:28marksetmessages: + msg58418
2007-12-11 08:09:36markcreate